%define oname   text-format

Name:       ruby-%{oname}
Version:    1.0.0
Release:    %mkrel 17
Summary:    Formats fixed-width text nicely
License:    Ruby License and Artistic
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/text-format
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Text::Format is provides the ability to nicely format fixed-width text with
knowledge of the writeable space (number of columns), margins, and
indentation settings. Text::Format can work with either TeX::Hyphen or
Text::Hyphen to hyphenate words when formatting.

%files
%{gem_spec}
%{gem_instdir}/

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc README Changelog Install
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%gemspec_remove_dep -g text-hyphen
%gemspec_add_dep -g text-hyphen

%build
%gem_build

%install
%gem_install


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 1.0.0-17.mga9
+ Revision: 1826224
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-16.mga8
+ Revision: 1508016
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0-15.mga7
+ Revision: 1291340
- Mageia 7 Mass Rebuild

* Fri Sep 15 2017 pterjan <pterjan> 1.0.0-14.mga7
+ Revision: 1154487
- Use new macros instead of patch to fix dependency

* Wed Oct 19 2016 pterjan <pterjan> 1.0.0-13.mga6
+ Revision: 1062551
- Fix patch for gemspec being in parent directory

* Wed Feb 03 2016 umeabot <umeabot> 1.0.0-12.mga6
+ Revision: 933376
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-11.mga5
+ Revision: 742163
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-10.mga5
+ Revision: 688977
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.0.0-9.mga4
+ Revision: 562534
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-8.mga4
+ Revision: 535676
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.0.0-7.mga4
+ Revision: 482366
- Rebuild for Ruby 2

* Fri Sep 13 2013 pterjan <pterjan> 1.0.0-6.mga4
+ Revision: 478509
- Use gem_setup
- Drop patch, no longer needed
- Fix file list
- Losen dependency on text-hyphen version, new version works fine

* Fri Feb 08 2013 umeabot <umeabot> 1.0.0-5.mga3
+ Revision: 396564
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-4.mga3
+ Revision: 381557
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.0.0-3.mga3
+ Revision: 313994
- add missing sections
- rebuild for new ruby
- rebuild for ruby

* Fri Mar 25 2011 shikamaru <shikamaru> 1.0.0-2.mga1
+ Revision: 77159
- add check section
- FHS compliance

* Sun Feb 13 2011 shikamaru <shikamaru> 1.0.0-1.mga1
+ Revision: 51436
- imported package ruby-text-format


* Fri Feb 11 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.0-1
- Initial package
